# Fastag API

This API will take Vehicle registration number and&#x20;connect with FASTAG API to get data.

#### **NOTE:**&#x20;

Data related to Vehicle number will be available for the next 3 days or 72 hours\
for Example: the first transaction happens on 1st Jan (data will be available for 3rd Jan, on4th Jan no data will be available regarding the previous transaction i.e. 1st Jan)

{% tabs %}
{% tab title="FASTAG API" %}

<table><thead><tr><th width="119">Name</th><th>Description</th></tr></thead><tbody><tr><td><strong>URL</strong></td><td><a href="https://api-platform.mastersindia.co/api/v2/sbt/FASTAG/">https://api-platform.mastersindia.co/api/v2/sbt/FASTAG/</a></td></tr><tr><td><strong>Method Type</strong></td><td>POST</td></tr><tr><td><strong>Header</strong></td><td></td></tr><tr><td><strong>Body</strong></td><td><p><br>raw - JSON </p><pre class="language-postman_json"><code class="lang-postman_json">{
 "vehiclenumber": "AB03Y8611"
}
</code></pre></td></tr><tr><td><strong>Action</strong></td><td>Hit Send Button</td></tr><tr><td><strong>Success Response</strong></td><td><p>In case vehicle number exist</p><pre class="language-json"><code class="lang-json">{
    "response": [
        {
            "response": {
                "result": "SUCCESS",
                "respCode": "000",
                "ts": "2023-05-22T15:26:03",
                "vehicle": {
                    "errCode": "000",
                    "vehltxnList": {
                        "totalTagsInMsg": "5",
                        "msgNum": "1",
                        "totalTagsInresponse": "5",
                        "totalMsg": "1",
                        "txn": [
                            {
                                "readerReadTime": "2023-05-19 16:18:45.0",
                                "seqNo": "4eb70376-2bbe-422f-8d98-b59bda007230",
                                "laneDirection": "E",
                                "tollPlazaGeocode": "32.197881,75.533697",
                                "tollPlazaName": "LADPALWAN TOLL PLAZA",
                                "vehicleType": "VC11",
                                "vehicleRegNo": "AB03Y8611"
                            },        
                            {
                                "readerReadTime": "2023-05-20 01:10:43.0",
                                "seqNo": "a2b48c5d-2df6-46c8-96fb-89dcd79d230e",
                                "laneDirection": "E",
                                "tollPlazaGeocode": "31.731947,75.041365",
                                "tollPlazaName": "WARYAM NANGAL TOLL PLAZA",
                                "vehicleType": "VC11",
                                "vehicleRegNo": "AB03Y8611"
                            }
                        ]
                    }
                }
            },
            "responseStatus": "SUCCESS"
        }
    ],
    "error": "false",
    "code": "200",
    "message": "Success"
}
</code></pre></td></tr><tr><td></td><td><p>if Invalid vehicle number</p><pre><code>"response": null, 
"error": "true", 
"code": "400", 
"message": "Data format failed OR wrong value entered at:  vehiclenumber. 
</code></pre><p>Format should follow ^[A-Z0-9]{5,11}$|^[A-Z0-9]{17,20}$"<br>}</p></td></tr><tr><td></td><td><p>In case of vehicle number does not exist in FASTAG system</p><pre class="language-json"><code class="lang-json">{
    "success": true,
    "message": "Success",
    "data": {
        "response": [
            {
                "response": {
                    "result": "FAILED",
                    "respCode": "000",
                    "ts": "2025-06-26T15:48:15",
                    "vehicle": {
                        "errCode": "740"
                    }
                },
                "responseStatus": "SUCCESS"
            }
        ],
        "error": "false",
        "code": "200",
        "message": "Success"
    }
}
</code></pre></td></tr></tbody></table>
{% endtab %}
{% endtabs %}

Errors

Status Code 200: vehicle data response\
Status Code 400: Bad request (Invalid json syntax, invalid json key)\
Status Code 401 or 403: Unauthenticated or Unauthorized\
Status Code 500: Some internal server error occurred\
Status Code 502: Server is not responding.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.mastersindia.co/masters-india-apis/proof-of-delivery-pod-api/fastag-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
